Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class AccessTrackingMeg

    java.lang.Object
      HttpGenerator
          scone.accesstracking.AccessTrackingMeg

    public class AccessTrackingMeg

extends HttpGenerator

This meg creates the user logging entries in the access database.

If the user is unknown (no cookie ID to the host tracking.scone.de is set) a login screen is displayed

After the login, a cookie is set and from now on the userId from this cookie is used.

\n The meg is called when

1. a transfer is startet (filename = _start)
2. the page was loaded (filename = _load)
3. the page was left (filename = _stop)

\n The correcconding JavaScript-Code is inserted by the JavaScriptAdder.
The JS-methods stop() and loaded() calls are inserted by the BodyEventAdder.
onClick-events to all Links can be added by activating the LinkEventAdder.

To access the Scone parameters in your JavaScript-Code please use the following variables:

1. Scone_Parent_Name is the name of parent frame
2. Scone_Parent_Location is the URI of the parent frame
3. Scone_UserID is the current User ID

Version:
  1.2, 03/31/2003
Author:
  Harald Weinreich, Torsten Hass

Field Summary
`static int` | `AC_DISABLEACCESSTRACKING`
`static int` | `AC_IESPYACCESSTRACKING`
`static int` | `AC_SHOWAPPLET`

Constructor Summary
`AccessTrackingMeg(Plugin plugin)`

Method Summary
`void` | `handleRequest(RequestEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AC_SHOWAPPLET

    public static final int AC_SHOWAPPLET

See Also:
  Constant Field Values

### AC_DISABLEACCESSTRACKING

    public static final int AC_DISABLEACCESSTRACKING

See Also:
  Constant Field Values

### AC_IESPYACCESSTRACKING

    public static final int AC_IESPYACCESSTRACKING

See Also:
  Constant Field Values

Constructor Detail

### AccessTrackingMeg

    public AccessTrackingMeg(Plugin plugin)

Method Detail

### handleRequest

    public void handleRequest(RequestEvent e)
                       throws RequestRejectedException

  Throws:
    `RequestRejectedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD